﻿<div class="well well-custom">
    <h4 class="block bold">Mountain Diary</h4>
    <div class="row">
        <div class="col-md-12">
            Se hai già scalato questa cima aggiungila nella tua <strong>"Adventure List"</strong> tra le montagne già scalate e
            conosci altre persone che vorrebbero trovare maggiori...
        </div>
    </div>
    <div class="row margin-top-30">
        @if (Request.IsAuthenticated)
        {
            <div class="col-md-12 text-center">
                <button type="button" class="btn green-meadow" id="addClimbed"><i class="fa fa-child"></i> Montagna già scalata ???</button>
            </div>
        }
        else {
            <div class="col-md-12 text-center">
                <button onclick="location.href = '@Url.Action("Login", "Account")'" type="button" class="btn btn-default"><i class="fa fa-user"></i> Login</button>
            </div>
        }
    </div>
    <p class="margin-top-30" id="random-faces">
    </p>
</div>

<script type="text/javascript">
    var uifaces = "https://randomuser.me/api/";

    function getRandomArbitrary(min, max) {
        return Math.random() * (max - min) + min;
    }
    var numb = getRandomArbitrary(10,30);
    for (i = 0; i < numb; i++) {
        $.ajax({
            url: uifaces,
            cache:false,
            success: function (resp) {
                var obj = resp.results[0];
                $( "#random-faces" ).append( "<img alt='"+obj.login.username+"' class='img-circle' src='"+obj.picture.thumbnail+"'>" )
            },
            error: function (e) {
                console.log("Error....");
            }
        });
    }

    $('#addClimbed').one('click', function (e) {
        SetAdventure(@ViewBag.id,0,true,"");
    });
</script>